Role Create
Creates a role with the specified permissions granted.
Creates a role with the specified permissions granted.
storyden-session<token>application/json- body
name*stringcolour*stringpermissions*array<>meta?Arbitrary metadata for the resource.
OK
application/json- response
id*IdentifierA unique identifier for this resource.
xidcreatedAt*stringThe time the resource was created.
date-timeupdatedAt*stringThe time the resource was updated.
date-timedeletedAt?stringThe time the resource was soft-deleted.
date-timemisc?Arbitrary extra data stored with the resource.
name*stringcolour*stringpermissions*array<>meta?Arbitrary metadata for the resource.
curl -X POST 'https://example.com/api/roles' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "colour": "string", "permissions": [ "CREATE_POST" ]}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "colour": "string", "permissions": [ "CREATE_POST" ], "meta": {}}Plugin Update Package PATCH
Replace the package archive for a supervised plugin installation. The uploaded package manifest must have the same plugin ID as the currently installed plugin. If the plugin is active, it is restarted using the new package. If inactive, the package is replaced without changing active state.
Role Delete DELETE
Delete a role. Requires MANAGE_ROLES. Deleting a role that grants ADMINISTRATOR additionally requires ADMINISTRATOR. Deletions that would leave no active account with ADMINISTRATOR are rejected with 400.